/* Bibliothque GEM pour X-Windows
   (C) 1998, Emmanuel CURIS

   Bibliothque de ressources (RSRC lib)
   Attention : structure RSHDR dfinie dans X_ressources.h

   10 avril 1998
     * Fonction rsrc_load() fonctionne (aux limitations de X_ressources.c prs)
*/

/* ~~~~~~~~~~ Chargement des fichiers *.RSC ~~~~~~~~~~~~~~~~ */
/* Options pour rsrc_gaddr/rsrc_saddr */

#define R_TREE           0
#define R_OBJECT         1
#define R_TEDINFO        2
#define R_ICONBLK        3
#define R_BITBLK         4
#define R_STRING         5 /* gets pointer to free strings     */
#define R_IMAGEDATA      6 /* gets pointer to free images      */
#define R_OBSPEC         7
#define R_TEPTEXT        8 /* sub ptrs in TEDINFO              */
#define R_TEPTMPLT       9
#define R_TEPVALID      10
#define R_IBPMASK       11 /* sub ptrs in ICONBLK              */
#define R_IBPDATA       12
#define R_IBPTEXT       13
#define R_BIPDATA       14 /* sub ptrs in BITBLK               */
#define R_FRSTR         15 /* gets addr of ptr to free strings */
#define R_FRIMG         16 /* gets addr of ptr to free images  */

int rsrc_load (const char *nom_fichier);
int rsrc_free (void);
int rsrc_gaddr(int type, int numero, void *adresse);
int rsrc_saddr(int rstype, int rsid, void *lngval);
int rsrc_obfix(OBJECT *tree, int obj);

#define xrsrc_load rsrc_load
#define xrsrc_free rsrc_free

