/* Adaptation du GEM (niveau source) sous X
   (C) 1998-1999, Emmanuel CURIS

   Analogue du fichier aes.h
*/

#ifndef AES_H_

#define AES_H_ /* Protection contre l'inclusion multiple */

#include "Bib_X.h"

/* ~~~~~~~~ Bibliothque APPL ~~~~~~~~ */

int appl_init   (void);
int appl_read   (int ap_rid, int ap_rlength, int ap_rpbuff[]);
int appl_write  (int ap_wid, int ap_wlength, int ap_wpbuff[]);
int appl_find   (char *nom);
int appl_tplay  (long ap_tpmem[], int ap_tpnum, int ap_tpscale);
int appl_trecord(long ap_trmem[], int ap_trcount);
int appl_exit   (void);

#include "X_evnt_lib.h"
#include "X_form_lib.h"
#include "X_graf_lib.h"
#include "X_menu_lib.h"
#include "X_rsrc_lib.h"
#include "X_wind_lib.h"

#endif /* AES_H_ */
