/* Effet des diffrentes fonctions d'arrondi en C */

#include <stdio.h>
#include <stdlib.h>
#include <math.h>

double round    (double x);
double nearbyint(double x);
double trunc    (double x);

long int lrint(double x);

void tst_arrondi( double valeur )
{
  printf("--- Valeur : %g ---\n", valeur );
  printf("round = %g ceil = %g rint = %g nearbyint = %g\n",
	 round( valeur ), ceil( valeur ), rint( valeur ), nearbyint( valeur ) );
  printf("trunc = %g floor = %g lrint = %ld (int) = %d\n",
	 trunc( valeur ), floor( valeur ), lrint( valeur ), (int) valeur );
}

int main( void )
{
  tst_arrondi( 1.5 );
  tst_arrondi( 2.3 );
  tst_arrondi( 3.6 );

  tst_arrondi( -1.5 );
  tst_arrondi( -2.3 );
  tst_arrondi( -3.6 );

  return 0;
}
