/* Fonctions utilitaires gnrales
   Dveloppes pour LASE, mais plus gnriques
   (C) 1996 - 2003, Emmanuel CURIS

   Manipulations de table de valeurs (doubles)
*/

#ifndef TABLE_UTILS_H_

#define TABLE_UTILS_H_ /* Protection contre l'inclusion multiple */

#ifndef VRAI
# define FAUX 0
# define VRAI 1
#endif

double *TABLE_CreerTable    ( unsigned long nbr_valeurs );
double *TABLE_CreerTable_mMp( double min, double max, double pas, unsigned long *nombre );
double *TABLE_CreerTable_mMN( double min, double max, unsigned long nbr_valeurs );
double *TABLE_CreerTable_mNp( double min, unsigned long nbr_valeurs, double pas );
double *TABLE_CreerTable_MNp( double max, unsigned long nbr_valeurs, double pas );
double *TABLE_CreerTable_SV ( const char *valeurs, unsigned long *nbr_valeurs, int separateur );

double *TABLE_CopierTable   ( double *table, unsigned long nbr_valeurs );

double *TABLE_Fondre2Tables(double *table1, unsigned long n1, double *table2, unsigned long n2, unsigned long *nombre_final);
double *TABLE_FondreTables( double **tables, unsigned long *nbr_valeurs, unsigned int nbr_tables, int trier, unsigned long *nombre );
int     TABLE_TrierTable  ( double *table, unsigned long nbr_valeurs, int sens );

/* Oprations sur l'ordonnancement des valeurs dans une table : "stat" */

double TABLE_Triee_Mediane  (double *table, unsigned long nbr_valeurs);
double TABLE_Triee_Quartiles(double *table, unsigned long nbr_valeurs, double quartiles[ 3 ]);

#endif /* TABLE_UTILS_H_ */
