/* Textes pour LASE, fichier EXAFS/etape_1.c
   Version franaise

   (C) 2000, Emmanuel CURIS
*/

/* -------- Textes des fentres ------------- */

static const char *titre_fenetre = "Soustraction de l'absorption atomique, premi"e_GRAVE"re "e_AIGU"tape";

/* -------- Textes des botes de dialogue --- */

static const char *tit_choix_e0 = "Valor de E0";
static const char *tit_choix_e2 = "Valor de E2";
static const char *tit_choix_e3 = "Valor de E3";
static const char *tit_choix_n  = "Factor de ponderaci"o_AIGU"n";

/* -------- Noms des graphes ---------------- */

static const char *nom_grf_exafs = "%s - "MU"0,I";  /* Doit contenir un %s */
static const char *nom_grf_mu0I  = MU"0,I "o_CIRC"t"e_AIGU" "a_GRAVE" %s"; /* Doit contenir un %s */
static const char *nom_grf_erry  = "Dispersion en Y de (%s)"; /* Doit contenir un %s */

static const char *txt_legende_x = "Nombre d'onde";
static const char *txt_legy_erry = E_AIGU"cart-type";

/* -------- Messages d'alerte divers -------- */

static const char *txt_brut_nul  = "Spectre brut nul !";
static const char *txt_exafs_nul = "Signal E.X.A.F.S. extrait nul";

#define AUCUN_POINT_A_GARDER 0

static const char *txt_alertes[] = {
  /*   v----------------------------v */
  "[3][---- Mod"e_AIGU"lisation de "MU"0 ----"
     "|Aucun point dans l'intervalle"
     "|"a_GRAVE" conserver ! Calcul annul"e_AIGU"][ Bien ]"
};

/* -------- Historique -------- */

static const char *txt_historique =
"\n"
"--- "E_AIGU"limination de l'absorption atomique ---\n"
"Spectre trait"e_AIGU" : %s\n" /* %s pour le nom du spectre trait */
"Signal extrait : %s\n"        /* %s pour le nom du signal obtenu  */
"                 (correspond "a_GRAVE" k^%d * "KHI"(k)\n" /* %d = pondration */
"M"e_AIGU"thode        : soustraction d'un polyn"o_CIRC"me\n"
"                 obtenu par lissage d'un spectre complet au-del"a_GRAVE" de E2\n"
"                 extrapol"e_AIGU" entre E0 et E2\n"
"Seuil       E0 = %f eV\n" /* %f = valeur de E0 */
"E2             = %f eV\n" /* %f = valeur de E2 */
"Polyn"o_CIRC"me        : moindres carr"e_AIGU"s %s pond"e_AIGU"ration par (x(i) - x(i-1))" /* %s = avec/sans */
"           degr"e_AIGU"  : %d (A + B * X + ...)\n" /* %d = degr */
"           graphe : %s\n"; /* %s = nom du graphe contenant 0,I */

static const char *txt_histo_avec = "avec";
static const char *txt_histo_sans = "sans";

static const char *txt_histo_e3 =
"     Les points au-del"a_GRAVE" de E3 = %f n'ont pas "e_AIGU"t"e_AIGU" utilis"e_AIGU"s\n";
